com.icesoft.faces.facelets.component.schedule

## Class CalendarController

- java.lang.Object
- - com.icesoft.faces.facelets.component.schedule.CalendarController

- All Implemented Interfaces:
    java.io.Serializable

      public class CalendarController
      extends java.lang.Object
      implements java.io.Serializable

  Calendar controller is responsible for chaining the model state when a users clicks on the UI tabs that represent the day, week, month and year states.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CalendarViewService` | `calendarViewService`
    `protected org.apache.commons.logging.Log` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeCalendarView(javax.faces.event.ActionEvent event)` Changes calendar view from day, month, week via the command buttons at the top.
    `AbstractCalendarViewController` | `getCurrentCalViewController()`
    `boolean` | `isCalendar24Hour()`
    `void` | `setCalendar24Hour(boolean calendar24Hour)`
    `void` | `setCalendarViewService(CalendarViewService calendarViewService)`
    `void` | `setCurrentCalViewController(AbstractCalendarViewController currentCalViewController)`
    `void` | `viewableHoursValueChangeListener(javax.faces.event.ValueChangeEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final org.apache.commons.logging.Log logger

    - #### calendarViewService

          protected CalendarViewService calendarViewService

  - ### Constructor Detail

    - #### CalendarController

          public CalendarController()

  - ### Method Detail

    - #### changeCalendarView

          public void changeCalendarView(javax.faces.event.ActionEvent event)

      Changes calendar view from day, month, week via the command buttons at the top.

      contextParam 'calendarViewType' using class constants.
      Parameters:
        `event` - jsf event that we get context param form for which view controller to construct

    - #### setCalendarViewService

          public void setCalendarViewService(CalendarViewService calendarViewService)

    - #### viewableHoursValueChangeListener

          public void viewableHoursValueChangeListener(javax.faces.event.ValueChangeEvent e)

    - #### isCalendar24Hour

          public boolean isCalendar24Hour()

    - #### setCalendar24Hour

          public void setCalendar24Hour(boolean calendar24Hour)

    - #### getCurrentCalViewController

          public AbstractCalendarViewController getCurrentCalViewController()

    - #### setCurrentCalViewController

          public void setCurrentCalViewController(AbstractCalendarViewController currentCalViewController)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.